Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.common
Interface ApplicationConnection

    public interface ApplicationConnection

This interface represents an EIS connection handle for the Application Connection.

Version:
  $Revision: 1.3 $
Author:
  $Author: cmbuild $

Method Summary
`void` | `close()` Closes the application connection handle.
`java.lang.Object` | `createApplication(java.lang.String appName)` Creates an Application from the Application Connection.
`OutputHandler` | `createOutputHandler()` Creates an OutputHandler for "sending" data to the EIS.

Method Detail

### close

    void close()
               throws ApplicationConnectionException

  Closes the application connection handle. Once the close method is called, using the application created from the application connection must be forbidden and must result in an ApplicationConnectionException. The association between an application connection and the application is implementation specific.

  Throws:
    `ApplicationConnectionException` - upon error.

### createApplication

    java.lang.Object createApplication(java.lang.String appName)
                                       throws ApplicationException

  Creates an Application from the Application Connection. The application is an API which can be used to interact with the underlying EIS. The application API must be invalidated once the close method is called on the Application Connection. If null is passed for the application name, then the default application will be created. Otherwise, the application name will be used to create the appropriate connection.

  Parameters:
    `appName` - The name of the application to create.
  Returns:
    A java.lang.Object representing the EIS specific application component to interact with the EIS.
  Throws:
    `ApplicationException` - upon error.

### createOutputHandler

    OutputHandler createOutputHandler()
                                      throws ApplicationException

  Creates an OutputHandler for "sending" data to the EIS. If the eWay does not support an OutputHandler, then it should return null for its implementation of this method.

  Returns:
    The eWay specific OutputHandler for handling "sending" data to the external system or null if the eWay does not have an OutputHandler.
  Throws:
    `ApplicationException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD